package w83b.w83bDAO;

import java.util.List;

import w83b.w83bBeans.W83bCierreMensualBean;
import w83b.w83bBeans.W83bResultadosBean;


public interface W83bICierreDAO {
	
	/**
	 * @param param
	 * @return
	 * @throws Exception
	 */
	public java.util.List buscarInicioCierre(w83b.w83bBeans.W83bCierreMensualBean param)throws Exception;
	public String fechaUltimoCierre(w83b.w83bBeans.W83bCierreMensualBean param)throws Exception;
	
	public java.util.List calculoFila1(w83b.w83bBeans.W83bCierreMensualBean param)throws Exception;
	public java.util.List calculoFila2(w83b.w83bBeans.W83bCierreMensualBean param)throws Exception;
	public java.util.List bajascierre(w83b.w83bBeans.W83bCierreMensualBean param)throws Exception;
	public java.util.List calculoFila3(w83b.w83bBeans.W83bCierreMensualBean param, List calculo, List ultimafila)throws Exception;
	public java.util.List calculoFila4(w83b.w83bBeans.W83bCierreMensualBean param)throws Exception;
	
	public java.lang.String procesarCierre(w83b.w83bBeans.W83bCierreMensualBean param)throws Exception;
	public boolean existeCierre(w83b.w83bBeans.W83bCierreMensualBean param)throws Exception;
	public java.lang.String procesarCierreMod(w83b.w83bBeans.W83bCierreMensualBean param)throws Exception;
	
	public java.util.List consultarCierre(w83b.w83bBeans.W83bCierreMensualBean param)throws Exception;
	
//	public String modificarcamponueva(List calculofila4,w83b.w83bBeans.W83bCierreMensualBean param)throws Exception;
	public String modificarcamponueva(W83bResultadosBean res)throws Exception;
	public void anyadirHistorialTramitacionCierre(W83bResultadosBean res,String fase,String tramite, W83bCierreMensualBean cierre)throws Exception;
	public java.lang.String deshacerCierre(w83b.w83bBeans.W83bCierreMensualBean param)throws Exception;	
	public java.util.List buscarActascierrehistorial(w83b.w83bBeans.W83bCierreMensualBean param, int dias)throws Exception;
	public void modificarActascierrehistorial(w83b.w83bBeans.W83bTramiteActaBean param)throws Exception;
	public void deshacerTablaCierre(w83b.w83bBeans.W83bCierreMensualBean param)throws Exception;
	public void borrarActascierrehistorial(java.util.List actascierrehistorial, w83b.w83bBeans.W83bCierreMensualBean param)throws Exception;
	public W83bCierreMensualBean calculoDeshacer(w83b.w83bBeans.W83bCierreMensualBean param)throws Exception;
}
